org.python.modules._functools

## Class _functools

- java.lang.Object
- - org.python.modules._functools._functools

All Implemented Interfaces:
  ClassDictInit

    public class _functools
    extends java.lang.Object
    implements ClassDictInit

The Python _functools module.

### Field Summary

Fields
`static PyString` `__doc__`
`static PyString` `__doc__reduce`

### Constructor Summary

Constructors
Constructor and Description
`_functools()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `classDictInit(PyObject dict)`
`static PyObject` `reduce(PyObject f, PyObject l)`
`static PyObject` `reduce(PyObject f, PyObject l, PyObject z)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### __doc__

    public static final PyString __doc__

#### __doc__reduce

    public static PyString __doc__reduce

### Constructor Detail

#### _functools

    public _functools()

### Method Detail

#### classDictInit

    public static void classDictInit(PyObject dict)

#### reduce

    public static PyObject reduce(PyObject f,
                                  PyObject l,
                                  PyObject z)

#### reduce

    public static PyObject reduce(PyObject f,
                                  PyObject l)